image: ubuntu:18.04

stages:
  - test

test-task:
  stage: test
  services:
    - postgres:latest
  script:
    - apt update
    - apt install -y postgresql-client
    - env PGPASSWORD=$POSTGRES_PASSWORD psql -h postgres -U postgres -w postgres < show_tables.sql
  variables:
    POSTGRES_DB: postgres
    POSTGRES_USER: postgres
    POSTGRES_PASSWORD: "yourPassword"
